using System.Runtime.Serialization;

namespace Fast.Models;

[DataContract]
public class ChunkMetaData
{
    [DataMember(Name = "fileUid")]
    public string FileUid { get; set; } = "";
    [DataMember(Name = "fileName")]
    public string FileName { get; set; } = "";
    [DataMember(Name = "contentType")]
    public string ContentType { get; set; } = "";
    [DataMember(Name = "chunkIndex")]
    public long ChunkIndex { get; set; }
    [DataMember(Name = "totalChunks")]
    public long TotalChunks { get; set; }
    [DataMember(Name = "fileSize")]
    public long TotalFileSize { get; set; }
}